From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 23 June 2007<P>

hairdiva~<BR>
<BR>
You are the sweetest!! Thank you so much for the praise!  I am very glad that you liked that piece. :-)
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 23 June 2007<P>

Thanks for the pick Kirk.  I'm always a bit surprised when you put me on the front page, but always grateful.  I'm also a bit surprised that babydoll consented to marry me after having read some of the dreck I've written in the past few years.  I'd have probably written me off as someone with way too much baggage to carry.
<HR>